Forward Warning:


The following method will force all .Net applications (not just WinAutomation) in a machine to use TLS1.2 across the board regardless of their settings. This may cause third-party applications to break. Use with caution.


Workaround (applies to WinAutomation 5.x, 6.x+):

  1. Double-check that .Net 4.5 (or even better, the latest and greatest version of .Net) is indeed installed in the machines you are running WinAutomation or any of it’s generated .exe files (the ones produced by Generate-Exe). If .Net4.5+ is missing then this workaround won’t work.
  2. Create a backup of your registry and store it in a safe location
  3. Download the .reg file attached and run it as administrator.
  4. Restart WinAutomation (processes + services) and run the Robots which were causing the error at hand to see if the problem went away.